
Redmine - Defect #12592

Unable to create an issue with category field required and no category defined

2012-12-14 11:28 - Anonymous

Status: New Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.1.4

Description

see attached image.

the custom field is a list

redmine tells me to select a value - but there is one selected.. it does not matter what item is selected, the error is always the same

The custiom field "Kategorie" contains:

Planung

Entwicklung

Technik

Diverses

Environment:

Redmine version                          2.1.4.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.8

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

no plugin installed

History

#1 - 2012-12-14 11:35 - Anonymous

Arg!

I just forgot to create ticket-categories for the project.. And because I wanted to have categories I cerated a custom field with the same name.

If there is no category defined for a project, there should not be an error when tickets are created that no category is chosen - there will not be any

category that could be chosen... If this is a wanted behaviour an error should appear like "please configure ticket categories before you can go on..."

#2 - 2012-12-17 19:02 - Jean-Philippe Lang

- Subject changed from ticket system. custom field (list, mandatory for all projects): item is selected but redmine does not accept it. to Unable to create

an issue with category field required and no category defined

I guess you set the (core) Category field as required and have not created any categories in your project, am I right ?

#3 - 2012-12-20 08:56 - Anonymous

You are right. Mabye there is a possibility to insert a hint for those who do the same I did. Finding the error took some time for me ;-)

#4 - 2018-12-07 11:48 - Victor Conti

- File 1.contact added

#5 - 2018-12-07 11:51 - Marius BĂLTEANU

- File deleted (1.contact)

Files

kategorieausfuellen.JPG 62.8 KB 2012-12-14 Anonymous
